cURL
curl --request PUT \
--url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/data-mappings/{mappingId}/entries/{entryId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceValue": "<string>",
"targetValue": "<string>"
}
'import requests
url = "https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/data-mappings/{mappingId}/entries/{entryId}"
payload = {
"sourceValue": "<string>",
"targetValue": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sourceValue: '<string>', targetValue: '<string>'})
};
fetch('https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/data-mappings/{mappingId}/entries/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sourceValue": "<string>",
"targetValue": "<string>",
"mapping": {
"id": "<string>",
"orgId": "<string>",
"sourceSchemaId": "<string>",
"targetSchemaId": "<string>",
"definition": [
{
"sourceField": "<string>",
"targetField": "<string>"
}
],
"sourceApp": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"schema": {
"id": "<string>",
"type": "<string>",
"version": "<string>",
"sourceUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"imageUrl": "<string>",
"schemaId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
},
"targetApp": {
"id": "<string>",
"orgId": "<string>",
"name": "<string>",
"public": true,
"server": {
"name": "<string>",
"url": "<string>"
},
"schemaMetadata": {
"type": "<string>",
"version": "<string>",
"url": "<string>"
},
"schema": {
"id": "<string>",
"type": "<string>",
"version": "<string>",
"sourceUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"supportedAuthConfigs": [
{
"type": "<string>",
"isValid": true,
"data": {
"discoveryUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": {}
}
}
],
"imageUrl": "<string>",
"schemaId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"extensions": {}
}data-mappings
Put organisations data mappings entries
Update an existing data mapping entry by ID for the given organisation and mapping.
PUT
/
organisations
/
{organisationId}
/
data-mappings
/
{mappingId}
/
entries
/
{entryId}
cURL
Authorizations
Body
application/json
Payload to update an existing DataMappingEntry.
DataMappingEntryUpdate is the request body to update a credential. The ID and organisation ID and Mapping ID fields are taken from the URL path.
⌘I